Accepted: cupsys 1.3.4-2ubuntu1 (source)

Martin Pitt martin.pitt at
Mon Dec 3 09:10:32 GMT 2007

 OK: cupsys_1.3.4.orig.tar.gz
 OK: cupsys_1.3.4-2ubuntu1.diff.gz
 OK: cupsys_1.3.4-2ubuntu1.dsc
     -> Component: main Section: net

Hash: SHA1

Format: 1.7
Date: Mon, 03 Dec 2007 10:01:48 +0100
Source: cupsys
Binary: libcupsys2-dev cupsys libcupsys2 libcupsimage2 cupsys-common cupsys-client cupsys-bsd libcupsimage2-dev
Architecture: source
Version: 1.3.4-2ubuntu1
Distribution: hardy
Urgency: low
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss at>
Changed-By: Martin Pitt <martin.pitt at>
 cupsys     - Common UNIX Printing System(tm) - server
 cupsys-bsd - Common UNIX Printing System(tm) - BSD commands
 cupsys-client - Common UNIX Printing System(tm) - client programs (SysV)
 cupsys-common - Common UNIX Printing System(tm) - common files
 libcupsimage2 - Common UNIX Printing System(tm) - image libs
 libcupsimage2-dev - Common UNIX Printing System(tm) - image development files
 libcupsys2 - Common UNIX Printing System(tm) - libs
 libcupsys2-dev - Common UNIX Printing System(tm) - development files
Closes: 337640 452446
 cupsys (1.3.4-2ubuntu1) hardy; urgency=low
   * Merge with Debian unstable. Remaining Ubuntu changes:
     - TearDown (fast shutdown):
       + debian/control: Add sysv-rc (>= 2.86.ds1-14.1ubuntu2) dependency.
       + debian/rules: Use 'multiuser' update-rc.d mode.
     - debian/control, debian/rules: Drop cupsys-dbg package.
     - debian/cupsys.{pre,post}inst, debian/cupsys.preinst: Various upgrade
       fixes that need to be kept until after the next LTS:
       + Revert to single cupsd.conf file.
       + Remove obsolete rc.d links.
       + Revert usr/share/doc symlink/directory breakage.
     - debian/patches/ubuntu-default-error-policy-retry-job.dpatch: Retry a
       failed job instead of stopping the print queue.
     - debian/patches/ubuntu-disable-browsing.dpatch: Disable browsing by
     - Add AppArmor profile:
       + debian/local/apparmor-profile
       + debian/cupsys.postinst: Reload AA profile on configuration.
   * Revert most of the doc symlinking changes from 1.3.2-1ubuntu4, since
     Ubuntu's cdbs does it by default now. Clean up a few other pieces of
     Debian-Ubuntu delta noise along the way.
   * debian/local/apparmor-profile: Only restrict backends which are shipped by
     cupsys itself (or known packages like cups-pdf). All other backends remain
     unrestricted, since we cannot predict which privileges they need.
   * debian/local/apparmor-profile: Run bluetooth backend confined again and
     allow opening bluetooth sockets.
 cupsys (1.3.4-2) unstable; urgency=low
   [ Kenshi Muto ]
   * Bumps up shlibs to 1.3.4.
   [ Martin Pitt ]
   * debian/control: Remove gs-esp alternative dependency, it's just
     "ghostscript" nowadays.
   * debian/control: Slightly bump the C/R: for -common; it's a pointless delta
     to Ubuntu and it doesn't hurt us.
   * debian/cupsys-bsd.postinst: Symlink cupsys-bsd's doc directory to
     cupsys-common's, not cupsys', since the latter is not a dependency.
   * debian/control: Demote cups-pdf from Recommends: to Suggests: to match the
     semantics (apt installs recommends by default now).
   * debian/cupsys.init.d: Add LSB header, thanks to Petter Reinholdtsen!
     (closes: #337640)
   * debian/rules: Configure with default printcap in /var/run/cups/.
     (closes: #452446)
   [ Till Kamppeter ]
   * Add debian/local/backends/dnssd: Printer discovery backend for
     several cheaper printers, like the HP Color LaserJet 2600n, are not
     discovered by the "snmp" backend.  In addition, this backend extracts more
     info from the printers than the "snmp" backend, like for example available
     page description languages.  This leads to better driver choices for
     unknown printer models.
   * debian/cupsys.install, debian/cupsys.{prerm,postinst,templates,rules}:
     Install new backend.
   * debian/control: Add Recommends: to avahi-utils; if it is installed, the
     dnssd backend can actually work.
   * debian/postinst: Activate new backends (since Etch) by default on
     upgrades. This affects snmp, scsi, serial, and dnssd.
 235667ce74c24982f3d55994cb0fa05e 1256 net optional cupsys_1.3.4-2ubuntu1.dsc
 3beca1cbee1491592171fd20a8e289d7 125295 net optional cupsys_1.3.4-2ubuntu1.diff.gz
Original-Maintainer: Debian CUPS Maintainers <pkg-cups-devel at>

Version: GnuPG v1.4.6 (GNU/Linux)


More information about the Hardy-changes mailing list